#ifndef INITIAL_STATE_SPLINE_HPP
#define INITIAL_STATE_SPLINE_HPP

#include "initial_state.hpp"
#include "geometry_spline.hpp"

class InitialStateSpline:public InitialState{
private:
  Spline* Ssat;
  GeometrySpline* geometry_spline;
public:
  InitialStateSpline(GeometrySpline* geometry);
  void update(Spline* Ssat);
};

inline
InitialStateSpline::InitialStateSpline(GeometrySpline* g):InitialState((Geometry*)g){
  geometry_spline=g;
}

#endif
